package cd.casic.ci.process.process.service.sast;

import cd.casic.ci.process.dto.req.sast.SastIdentifiedLanguageTaskReq;
import cd.casic.ci.process.dto.resp.sast.SastDetectionConfigResp;
import cd.casic.ci.process.dto.resp.sast.SastEngineConfigResp;
import cd.casic.ci.process.dto.resp.sast.SastFileUploadResp;
import cd.casic.ci.process.dto.resp.sast.SastIdentifiedLanguageTaskResp;

import java.io.File;
import java.util.List;

public interface SastService {
    String getToken();
    Boolean applicationExist(String applicationName);
    public SastFileUploadResp uploadFile(File multipartFile);
    public SastIdentifiedLanguageTaskResp createIdentifiedLanguageTask(SastIdentifiedLanguageTaskReq req);
    public SastIdentifiedLanguageTaskResp getIdentifiedLanguageTaskStatus(String taskId);
    List<SastEngineConfigResp> engineConfig(List<String> languageIdList);
    SastDetectionConfigResp detectionConfig(String languageId);
}
